From c0f410dff0895b4880782e06efd60109699b2697 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 13 2017 11:59:22 +0000
Subject: [PATCH 749/1001] Redirect when adding a widget succeeds


---

diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 9415590..61c909e 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -246,9 +246,10 @@ class HubsAPITest(hubs.tests.APPTest):
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
             data = {'widget_name': 'about'}
-            result = self.app.post('/ralph/add', data=data,
-                                   follow_redirects=False)
-            self.assertEqual(result.status_code, 200)
+            result = self.app.post('/ralph/add', data=data)
+            self.assertEqual(result.status_code, 302)
+            self.assertEqual(urlparse(result.location).path, "/ralph/edit")
+            result = self.app.get('/ralph/edit')
             expected_str = '<h6 class="dropdown-header">Account Information</h6>'
             self.assertIn(expected_str, result.get_data(as_text=True))
             expected_str = '<a href="#" class="dropdown-item">Full Name: fullname: ralph</a>'
@@ -260,7 +261,9 @@ class HubsAPITest(hubs.tests.APPTest):
             data = {'widget_name': 'about', 'text': 'text of widget'}
             result = self.app.post('/ralph/add', data=data,
                                    follow_redirects=False)
-            self.assertEqual(result.status_code, 200)
+            self.assertEqual(result.status_code, 302)
+            self.assertEqual(urlparse(result.location).path, "/ralph/edit")
+            result = self.app.get('/ralph/edit')
             expected_str = '<h6 class="dropdown-header">Account Information</h6>'
             self.assertIn(expected_str, result.get_data(as_text=True))
             expected_str = '<a href="#" class="dropdown-item">Full Name: fullname: ralph</a>'
diff --git a/hubs/views/hub.py b/hubs/views/hub.py
index 7b03d57..3da39d3 100644
--- a/hubs/views/hub.py
+++ b/hubs/views/hub.py
@@ -231,6 +231,4 @@ def hub_add_widget_post(name):
                 'Could not save the configuration to the database '
                 'if the error persists, please warn an admin',
                 'error')
-
-    return flask.render_template(
-        'hubs.html', hub=hub, edit=True)
+    return flask.redirect(flask.url_for('hub_edit', name=hub.name))

